<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .fancy {
            color: #fff;
            background-color: hsl(180, 50%, 50%);
            border: 0;
            font-size: 1rem;
            padding: 0.3em 1em;

            transition: all linear 500ms;
        }
        .fancy:hover {
            background-color: hsl(0, 50%, 50%);
            border-radius: 1em;
        }

        .box {
            border: 1px solid #ddd;
            box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.4);
            padding: .5em;
            background-color: hsl(0, 60%, 50%);
            color: #fff;
            font-family: sans-serif;
            font-weight: bold;
        }
        .fade-out { transition: opacity ease-in 2s; }
        .box:hover { opacity: 0; }

        
    </style>
</head>
<body>
    <h1>Transitions</h1>

    <h2>Fancy button</h2>
    <button class="fancy"> Hover me, please! </button>

    <h2>Fading out</h2>
    <div class="box fade-out">
        This is a message that fades out...
    </div>



</body>
</html>